org.etsi.uri._01903.v1_3

## Class SignedSignatureProperties

- java.lang.Object
- - org.etsi.uri._01903.v1_3.SignedSignatureProperties

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:18:55+02:00",
                 comments="JAXB RI v2.2.11")
      public class SignedSignatureProperties
      extends Object
      implements Serializable

  Java class for SignedSignaturePropertiesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignedSignaturePropertiesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SigningTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="SigningCertificate" type="{http://uri.etsi.org/01903/v1.3.2#}CertIDListType" minOccurs="0"/>
               <element name="SignaturePolicyIdentifier" type="{http://uri.etsi.org/01903/v1.3.2#}SignaturePolicyIdentifierType" minOccurs="0"/>
               <element name="SignatureProductionPlace" type="{http://uri.etsi.org/01903/v1.3.2#}SignatureProductionPlaceType" minOccurs="0"/>
               <element name="SignerRole" type="{http://uri.etsi.org/01903/v1.3.2#}SignerRoleType" minOccurs="0"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignedSignatureProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `SignaturePolicyIdentifier` | `getSignaturePolicyIdentifier()` Gets the value of the signaturePolicyIdentifier property.
    `SignatureProductionPlace` | `getSignatureProductionPlace()` Gets the value of the signatureProductionPlace property.
    `SignerRole` | `getSignerRole()` Gets the value of the signerRole property.
    `SigningCertificate` | `getSigningCertificate()` Gets the value of the signingCertificate property.
    `org.joda.time.DateTime` | `getSigningTime()` Gets the value of the signingTime property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setSignaturePolicyIdentifier(SignaturePolicyIdentifier value)` Sets the value of the signaturePolicyIdentifier property.
    `void` | `setSignatureProductionPlace(SignatureProductionPlace value)` Sets the value of the signatureProductionPlace property.
    `void` | `setSignerRole(SignerRole value)` Sets the value of the signerRole property.
    `void` | `setSigningCertificate(SigningCertificate value)` Sets the value of the signingCertificate property.
    `void` | `setSigningTime(org.joda.time.DateTime value)` Sets the value of the signingTime property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignedSignatureProperties

          public SignedSignatureProperties()

  - ### Method Detail

    - #### getSigningTime

          public org.joda.time.DateTime getSigningTime()

      Gets the value of the signingTime property.
      Returns:
        possible object is `String`

    - #### setSigningTime

          public void setSigningTime(org.joda.time.DateTime value)

      Sets the value of the signingTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSigningCertificate

          public SigningCertificate getSigningCertificate()

      Gets the value of the signingCertificate property.
      Returns:
        possible object is `SigningCertificate`

    - #### setSigningCertificate

          public void setSigningCertificate(SigningCertificate value)

      Sets the value of the signingCertificate property.
      Parameters:
        `value` - allowed object is `SigningCertificate`

    - #### getSignaturePolicyIdentifier

          public SignaturePolicyIdentifier getSignaturePolicyIdentifier()

      Gets the value of the signaturePolicyIdentifier property.
      Returns:
        possible object is `SignaturePolicyIdentifier`

    - #### setSignaturePolicyIdentifier

          public void setSignaturePolicyIdentifier(SignaturePolicyIdentifier value)

      Sets the value of the signaturePolicyIdentifier property.
      Parameters:
        `value` - allowed object is `SignaturePolicyIdentifier`

    - #### getSignatureProductionPlace

          public SignatureProductionPlace getSignatureProductionPlace()

      Gets the value of the signatureProductionPlace property.
      Returns:
        possible object is `SignatureProductionPlace`

    - #### setSignatureProductionPlace

          public void setSignatureProductionPlace(SignatureProductionPlace value)

      Sets the value of the signatureProductionPlace property.
      Parameters:
        `value` - allowed object is `SignatureProductionPlace`

    - #### getSignerRole

          public SignerRole getSignerRole()

      Gets the value of the signerRole property.
      Returns:
        possible object is `SignerRole`

    - #### setSignerRole

          public void setSignerRole(SignerRole value)

      Sets the value of the signerRole property.
      Parameters:
        `value` - allowed object is `SignerRole`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.